Skip to main content
GET
/
v1
/
accounts
/
relationships
/
types
Get all account relationship types
curl --request GET \
  --url https://platform.thena.ai/v1/accounts/relationships/types \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "ART123",
    "name": "Parent",
    "inverseRelationshipId": "ART124",
    "inverseRelationship": "Subsidiary",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.thena.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter the bearer token

Response

Operation successful

id
string
required

The identifier of the relationship type

Example:

"ART123"

name
string
required

The name of the relationship type

Example:

"Parent"

inverseRelationshipId
string
required

The identifier of the inverse relationship type

Example:

"ART124"

inverseRelationship
string
required

The name of the inverse relationship type

Example:

"Subsidiary"

createdAt
string<date-time>
required

The creation date of the relationship type

updatedAt
string<date-time>
required

Last update date of the relationship type